Subject: [Idr] Éric Vyncke's No Objection on draft-ietf-idr-bgp-ls-segment-routing-msd-17: (with COMMENT)

From: Éric Vyncke via Datatracker <[email-masked]>
Date: Wed, 06 May 2020 07:43:09 -0700

Éric Vyncke has entered the following ballot position for
draft-ietf-idr-bgp-ls-segment-routing-msd-17: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-idr-bgp-ls-segment-routing-msd/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

Thank you for the work put into this document. The document is easy to read
albeit a little unclear about its focus (see my comments below).

I am always positively amazed how BGP can be used as a signaling protocol for
new use cases :-)

Please find below a couple of non-blocking COMMENTs.

I hope that this helps to improve the document,

Regards,

-éric

== COMMENTS ==

-- Section 1 --
In "doesn't exceed the number of SIDs the node is capable of imposing.", is it
"imposing" or "processing" ? Esp. when section 1.1.1 uses the word "supported"
and "label imposition" does not really fit SRv6.

If this document is only about SR-MPLS, then please modify title, abstract, and
introduction to reflect this focus.

-- Section 3 --
Unsure whether "MSD values may be learned via a hardware API or may be
provisioned. " provides any added value.

While it is unclear to me whether this document applies only to SR-MPLS, but,
if it applies also to SRv6, then is it required to be able to advertise to MSD
per node ? One for SR-MPLS and one for SRv6?

---

From: Alvaro Retana <[email-masked]>
Date: Wed, 6 May 2020 14:31:49 -0700

On May 6, 2020 at 10:43:51 AM, Éric Vyncke wrote:

Eric:

Hi!

...
> if it applies also to SRv6...

This document is about the ability to carry the MSD in BGP-LS.  The
applicability to SR-MPLS and/or SRv6 depends on the type of MSD
carried -- and with it any requirements about how to advertise, etc.

Right now there are only 2 MSD-Types defined, and both are related to
SR-MPLS [1].

If more types are defined, then those documents will have to describe
how the contents should behave and what they mean.

Thanks!

Alvaro.

[1] https://www.iana.org/assignments/igp-parameters/igp-parameters.xhtml#igp-msd-types

---

From: "Eric Vyncke (evyncke)" <[email-masked]>
Date: Wed, 6 May 2020 21:57:01 +0000

Alvaro

Thank you for the added piece of information. This clarifies a lot my questions/comments.

Very much appreciated,

Regards

-éric

-----Original Message-----
From: Alvaro Retana <[email-masked]>
Date: Wednesday, 6 May 2020 at 23:32
To: Éric Vyncke via Datatracker <[email-masked]>, Eric Vyncke <[email-masked]>, The IESG <[email-masked]>
Cc: Susan Hares <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: Éric Vyncke's No Objection on draft-ietf-idr-bgp-ls-segment-routing-msd-17: (with COMMENT)

    Eric:

    Hi!

    ...

    Thanks!

    Alvaro.

---

From: Jeff Tantsura <[email-masked]>
Date: Wed, 6 May 2020 15:00:14 -0700

Eric,

Many thanks for your review and comment.
Great to see - Alvaro has addressed all your questions!

Please let me know if there’s anything else.

Cheers,
Jeff

---

From: "Eric Vyncke (evyncke)" <[email-masked]>
Date: Thu, 7 May 2020 14:17:15 +0000

Jeff,

I still have some suggested changes / improvements (nothing blocking of course but in the line that this document will / should support SRv6 in the long term), updated based on Alvaro’s reply :

-- Section 1 --
In "doesn't exceed the number of SIDs the node is capable of imposing.", is it "imposing" or "processing" ? Esp. when section 1.1.1 uses the word "supported" and "label imposition" does not really fit SRv6.

If this document is only about SR-MPLS, then suggest to change title, abstract, and introduction to reflect this focus and most of my comments fall off.

-- Section 3 --
Unsure whether "MSD values may be learned via a hardware API or may be provisioned. " provides any added value.

While it is unclear to me whether this document applies only to SR-MPLS, but, if it applies also to SRv6, then is it required to be able to advertise to MSD per node ? One for SR-MPLS and one for SRv6?

Hope this helps to improve the document

-éric

From: Jeff Tantsura <[email-masked]>
Date: Thursday, 7 May 2020 at 00:00
To: Alvaro Retana <[email-masked]>, Éric Vyncke via Datatracker <[email-masked]>, The IESG <[email-masked]>, Eric Vyncke <[email-masked]>
Cc: Susan Hares <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: Éric Vyncke's No Objection on draft-ietf-idr-bgp-ls-segment-routing-msd-17: (with COMMENT)

Eric,

Cheers,
Jeff

Alvaro

Very much appreciated,

Regards

-éric

-----Original Message-----
From: Alvaro Retana <[email-masked]>
Date: Wednesday, 6 May 2020 at 23:32
To: Éric Vyncke via Datatracker <[email-masked]>, Eric Vyncke <[email-masked]>, The IESG <[email-masked]>
Cc: Susan Hares <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: Éric Vyncke's No Objection on draft-ietf-idr-bgp-ls-segment-routing-msd-17: (with COMMENT)

Eric:

Hi!

...

Thanks!

Alvaro.

---

From: "Ketan Talaulikar (ketant)" <[email-masked]>
Date: Thu, 7 May 2020 14:57:08 +0000

Hi Eric,

I would like to clarify as a co-author on your comment related to Section 1.

The actual terminology used is “Maximum SID Depth” and “SID stack” that can be imposed and the context is at an SR Policy headend. In case of SR-MPLS it would be label stack while in case of SRv6 it would be list of segments in the SRH – both can be seen as being “imposed” (English term) by the SR Policy headend. In SR architecture RFC8402 and SR Policy architecture (draft-ietf-spring-segment-routing-policy), we have used the term SID/Segment in a data-plane neutral way for both SR-MPLS and SRv6.

The MSD types for SRv6 are documented in IGP and BGP-LS specs for SRv6 that build on the base MSD construct : e.g. https://datatracker.ietf.org/doc/html/draft-ietf-lsr-isis-srv6-extensions-08#section-4

Hope this clarifies.

Thanks,
Ketan

From: Eric Vyncke (evyncke) <[email-masked]>
Sent: 07 May 2020 19:47
To: Jeff Tantsura <[email-masked]>; Alvaro Retana <[email-masked]>; Éric Vyncke via Datatracker <[email-masked]>; The IESG <[email-masked]>
Cc: Susan Hares <[email-masked]>; [email-masked]; [email-masked]; [email-masked]
Subject: Re: Éric Vyncke's No Objection on draft-ietf-idr-bgp-ls-segment-routing-msd-17: (with COMMENT)

Jeff,

-- Section 1 --

-- Section 3 --

-éric

From: Jeff Tantsura <[email-masked]<mailto:[email-masked]>>
Date: Thursday, 7 May 2020 at 00:00
To: Alvaro Retana <[email-masked]<mailto:[email-masked]>>, Éric Vyncke via Datatracker <[email-masked]<mailto:[email-masked]>>, The IESG <[email-masked]<mailto:[email-masked]>>, Eric Vyncke <[email-masked]<mailto:[email-masked]>>
Cc: Susan Hares <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Re: Éric Vyncke's No Objection on draft-ietf-idr-bgp-ls-segment-routing-msd-17: (with COMMENT)

Eric,

Cheers,
Jeff
On May 6, 2020, 2:57 PM -0700, Eric Vyncke (evyncke) <[email-masked]<mailto:[email-masked]>>, wrote:
Alvaro

Very much appreciated,

Regards

-éric

-----Original Message-----
From: Alvaro Retana <[email-masked]<mailto:[email-masked]>>
Date: Wednesday, 6 May 2020 at 23:32
To: Éric Vyncke via Datatracker <[email-masked]<mailto:[email-masked]>>, Eric Vyncke <[email-masked]<mailto:[email-masked]>>, The IESG <[email-masked]<mailto:[email-masked]>>
Cc: Susan Hares <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Re: Éric Vyncke's No Objection on draft-ietf-idr-bgp-ls-segment-routing-msd-17: (with COMMENT)

Eric:

Hi!

...

Thanks!

Alvaro.

---

From: "Eric Vyncke (evyncke)" <[email-masked]>
Date: Thu, 7 May 2020 15:12:46 +0000

Thank you Ketan, so, I now have to pay attention for “false friends” between French “impose” and English “impose” ;-)

Again, all my COMMENTS were non blocking.

Regards

-éric

From: "Ketan Talaulikar (ketant)" <[email-masked]>
Date: Thursday, 7 May 2020 at 16:57
To: Eric Vyncke <[email-masked]>, Jeff Tantsura <[email-masked]>, Alvaro Retana <[email-masked]>, Éric Vyncke via Datatracker <[email-masked]>, The IESG <[email-masked]>
Cc: Susan Hares <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: RE: Éric Vyncke's No Objection on draft-ietf-idr-bgp-ls-segment-routing-msd-17: (with COMMENT)

Hi Eric,

Hope this clarifies.

Thanks,
Ketan

Jeff,

-- Section 1 --

-- Section 3 --

-éric

Eric,

Cheers,
Jeff

Very much appreciated,

Regards

-éric

-----Original Message-----
From: Alvaro Retana <[email-masked]<mailto:[email-masked]>>
Date: Wednesday, 6 May 2020 at 23:32
To: Éric Vyncke via Datatracker <[email-masked]<mailto:[email-masked]>>, Eric Vyncke <[email-masked]<mailto:[email-masked]>>, The IESG <[email-masked]<mailto:[email-masked]>>
Cc: Susan Hares <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Re: Éric Vyncke's No Objection on draft-ietf-idr-bgp-ls-segment-routing-msd-17: (with COMMENT)

Eric:

Hi!

...

Thanks!

Alvaro.